Support » Plugin: Contact Form 7 » Required fields do not work

  • Resolved crashmarie229

    (@crashmarie229)


    Hi! I have this problem:

    I can send a form without filling any required fields. Although the system recognises the required fields. If I click into an email field and fill in some non emailstring then click into an other field I’ll get the error message directly under the email-field that I need to fill in a correct email and also I get the error message under the other required fields.

    But if I then click “send” the mail will be sent with all the errors obviously without any validation. After deactivation the smart grid plugin, the validation works fine with the same form. Reactivation the plugin again. The validation does not work again.

    In the wp-forum I have found this answer for the problem: “If it helps anyone, using the “WP Rollback” plugin to take CF7 back to version 5.5.6 seems to fix this (temporarily). That means the CF7 update to version 5.6 three weeks ago probably triggered this. The problem is 100% reproducible for me on several sites.”

    I will also try this solution once. But I also hope for help from the developers of the smart grid. It’s such a great Plugin!

    Greetings and have a nice day 😀

Viewing 3 replies - 1 through 3 (of 3 total)
  • Thread Starter crashmarie229

    (@crashmarie229)

    Now I have tested…
    I even rolled CF7 back to version 5.5. Some fields now work again, but unfortunately not all. As soon as the e-mail field is declared as mandatory, the form isn’t sent despite correct content. The error message “This is a required field” then appears.
    What a pity! I’m hoping for positive news now. Thank you!

    Plugin Author Takayuki Miyoshi

    (@takayukister)

    I will also try this solution once. But I also hope for help from the developers of the smart grid. It’s such a great Plugin!

    You’ve posted this in the wrong forum.

    HI!
    I have the same problem. Required fields do not work in CF7 v5.6. I downgraded CF7 to version 5.5.6 and everything worked fine after it. It will be very good if you could fix this in the next version of your plugin.
    Thank you.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.